const mysql = require('mysql');
const util = require('util');
const createDb = require('./src/db');

module.exports = (config) => {
    const pool = mysql.createPool(config);

    pool.query = util.promisify(pool.query);
    pool.format = mysql.format;

    const db = createDb(pool);

    const makeTableProxy = tableName =>
        new Proxy(db, {
            get(target, p) {
                return (...args) => target[p](tableName, ...args)
            },
        });

    return new Proxy(db, {
        get(target, p) {
            return target[p] || makeTableProxy(p)
        },
    });
};

