/*
* export class Pagination {
    @Field({ nullable: true })
    limit?: number;

    @Field({ nullable: true })
    offset?: number;

    @Field(type => [String], { nullable: true })
    order?: string[][] | string[];
}
* */

module.exports = (pagination) => pagination
    ? `
        ${pagination.order ? ` ORDER BY ${
        (Array.isArray(pagination.order[0]) ? pagination.order : [pagination.order])
            .map((item) => `${item[0]} ${item[1] || 'ASC'}`)
            .join(', ')
        }`: ''}
        ${pagination.limit ? ` LIMIT ${pagination.offset || 0}, ${pagination.limit}`: ''}
      `
    : '';
