const mysql = require('mysql');

module.exports = (conditionsMap, conditionsConfig = {}, start = '1') =>
    conditionsMap && typeof conditionsMap === 'object' && Object.keys(conditionsMap).length
        ? Object.entries(conditionsMap).reduce(
        (acc, [key, condition]) =>
            `${acc} AND ${mysql.format(
                Array.isArray(condition)
                    ? `\`${key}\` ${conditionsConfig[key] || ''} IN (${condition.length ? '?' : 'NULL'})`
                    : [undefined, null].includes(condition)
                    ? `\`${key}\` IS NULL`
                    : `\`${key}\` ${conditionsConfig[key] || '='} ?`,
                [condition],
            )}`,
        start,
        )
        : 1;
